=== src/Fileformat/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/pfstiff.h)
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/pfs_file_format.h
${CMAKE_CURRENT_SOURCE_DIR}/pfsinraw.h
${CMAKE_CURRENT_SOURCE_DIR}/pfsout16bitspixmap.h
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.h
${CMAKE_CURRENT_SOURCE_DIR}/rgbeio.h
)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/rgbeio.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfstiff.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutrgbe.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsinrgbe.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsout16bitspixmap.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsinraw.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsinexr.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pfsoutexr.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
# QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(fileformat ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} fileformat PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} fileformat PARENT_SCOPE)
