=== src/MainCli/CMakeLists.txt ===

SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/commandline.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/commandline.cpp
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)

QT4_WRAP_CPP(FILES_MOC ${FILES_H})

ADD_LIBRARY(main_cli ${FILES_H} ${FILES_CPP} ${FILES_MOC})

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} main_cli PARENT_SCOPE)
