=== src/TonemappingPanel/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/SavingParametersDialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingPanel.ui
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingWarnDialog.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.h
${CMAKE_CURRENT_SOURCE_DIR}/SavingParametersDialog.h
${CMAKE_CURRENT_SOURCE_DIR}/TMOProgressIndicator.h
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingPanel.h
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingWarnDialog.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/SavedParametersDialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/SavingParametersDialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TMOProgressIndicator.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingPanel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingWarnDialog.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(tonemappingpanel ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} tonemappingpanel PARENT_SCOPE)
