=== debian/changelog ===
luminance-hdr (2.2.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Jun 2012 08:22:02 +0200

luminance-hdr (2.2.1-2) experimental; urgency=low

  [ Leonardo Montecchi ]
  * Added patch from upstream code, fixes compilation on non-x86
    architectures:
     - 30_fix_build_non_x86
     
 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 May 2012 20:13:41 +0200

luminance-hdr (2.2.1-1) experimental; urgency=low

  * Team upload.
  * Switch to new upstream name luminance-hdr. Closes: #622240,#563401
    (LP: #649647)
  * Use 3.0 (quilt) format.
  * Drop patches which do not apply (20_gcc4.3_includes
    30_fix_documentation_search_path 40_fix_desktop_file_icon 50_disable_opts
    60_fix_segfault_536666), update 10_remove_encoding_from_desktop_file.
  * Update build-depends, adding cmake (>= 2.6.0), libqtwebkit-dev,
    libraw-dev, libgsl0-dev.
  * [20_usrsharedoc.diff] install to and search for docs in
    /usr/share/doc/luminance-hdr instead if /usr/share/luminance-hdr. Strip
    down debian/rules, this is now basically vanilla cmake.
  * Provide empty qtpfsgui transitional package to faciliate automatic
    upgrades.
  * Use dh v9 level.
  * Enable building with bindnow and -Wl,--as-needed.
  * Add dependency on libqt4-sql-sqlite.
  * Do not ship unused jquery copy.
  * Register manual with doc-base.
  * Adopt package. Closes: #646315

 -- Andreas Metzler <ametzler@debian.org>  Mon, 14 May 2012 20:23:46 +0200

qtpfsgui (1.9.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixing segmentation fault when saving a HDR image (closes: #536666).

 -- Giovanni Mascellani <gio@debian.org>  Mon, 30 Aug 2010 23:08:43 +0200

qtpfsgui (1.9.3-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release (Closes: #530766).
  * debian/copyright:
     - Update accordingly.
  * debian/patches:
     - Get rid of timestamps.
  * Merge changes from experimental.
  * Update my address in the manpage too.
  * ACK the following patches by fabo, thanks!
  * Add dcraw to Depends, since this tool is needed, although not
    mentioned as a dependency in the upstream docs. Thanks to fabo
    again.
  * Add patch to disable some (new) default optimisations: openmp and
    sse2, because I'm not sure they are available on all platforms:
     - 50_disable_opts
  * debian/control:
     - Update Standards-Version from 3.8.0 to 3.8.1 (no changes needed).
  * Switch from cdbs to plain debhelper:
     - Update compat from 5 to 7.
     - B-D to debhelper (>= 7.0.50) to be able to use overrides.
     - Use debian/docs and debian/manpages to control dh_* accordingly.
     - Rework debian/rules.
     - Drop cdbs from B-D.

  [ Fathi Boudra ]
  * Add patch to fix documentation search path on Debian system:
     - 30_fix_documentation_search_path
  * Add patch to fix desktop file icon (Closes: #509305):
     - 40_fix_desktop_file_icon

 -- Cyril Brulebois <kibi@debian.org>  Sun, 07 Jun 2009 13:35:47 +0200

qtpfsgui (1.9.2-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright:
     - Update accordingly.
     - Update my mail address, copyright years.
  * debian/control:
     - Update my mail address.
     - Bump Standards-Version from 3.7.3 to 3.8.0 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 01 Dec 2008 04:32:14 +0100

qtpfsgui (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * Drop merged-upstream (or cherrypicked-from-upstream) patches:
     - 30_align_image_stack_prefix.
     - 40_fix_exiv2_encoding_support.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 07 Mar 2008 23:23:55 +0100

qtpfsgui (1.9.0-3) unstable; urgency=low

  * Add patch to fix encoding troubles with operations on exiv2 data,
    cherry-picked from upstream, revision 262 (Closes: #460718):
     - 40_fix_exiv2_encoding_support.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 05 Feb 2008 22:01:58 +0100

qtpfsgui (1.9.0-2) unstable; urgency=low

  * Special thanks to Julien Valroff, who reported the following bugs,
    along with some patches.
  * Added patch to allow the use of Hugin's align_image_stack again; its
    inclusion is pending upstream (Closes: #460716):
     - 30_align_image_stack_prefix.
  * Fix the link to embedded documentation: qtpfsgui/doc -> doc/qtpfsgui
    (Closes: #460944).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sat, 26 Jan 2008 14:27:52 +0100

qtpfsgui (1.9.0-1) unstable; urgency=low

  * New upstream release.
  * Replace “COPYING” with “LICENSE” in the NOT_NEEDED variable of
    debian/rules, following upstream's renaming.
  * Update debian/links accordingly.
  * Delete the matching TODO item since there's no longer needed to have a
    patched (with HTML tags) license file to get a correct display in the
    “License agreement” tab.
  * Update the gcc4.3 patch (drop the hunk touching src/Libpfs/pfs.cpp):
     - 20_gcc4.3_includes.
  * Add a link from /usr/share/qtpfsgui/html to the HTML documentation
    under /usr/share/doc/qtpfsgui/html since the former is used at runtime
    to display the manual.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sun, 06 Jan 2008 04:39:36 +0100

qtpfsgui (1.8.12-2) unstable; urgency=low

  * Move maintenance to pkg-phototools now that the team has been created
    on alioth: Maintainer set to the team, put myself in Uploaders.
  * Update Vcs-* accordingly.
  * Add a “lrelease-qt4” call in the “makebuilddir” target, so that
    localization files get built, and then later installed. Delete the
    generated files in the “clean” target. Use a stamp file to avoid
    double-run.
  * No longer “rmdir” the /usr/share/qtpfsgui directory since it is no
    longer empty.
  * Add a link (through debian/links) from /usr/share/qtpfsgui/COPYING to
    GPL-2 in common-licenses, since it is used in the “License agreement”
    tab. Add a TODO item accordingly (upstream uses HTML <pre> tags to
    format it).

