=== debian/control ===
Source: luminance-hdr
Section: graphics
Priority: extra
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,
 Leonardo Montecchi <lmontecchi@montex.org>
Build-Depends: debhelper (>= 9), libqt4-dev, libexiv2-dev, libfftw3-dev,
 libopenexr-dev, libtiff4-dev, cmake (>= 2.6.0), libqtwebkit-dev, libraw-dev,
 libgsl0-dev
Standards-Version: 3.9.3
Homepage: http://qtpfsgui.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=pkg-phototools/luminance-hdr.git
Vcs-Git: git://git.debian.org/git/pkg-phototools/luminance-hdr.git

Package: luminance-hdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dcraw, libqt4-sql-sqlite
Description: graphical user interface providing a workflow for HDR imaging
 Features:
  * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and
    16bit, RAW) of the same scene taken at different exposure setting.
  * Save and load HDR images.
  * Rotate and resize HDR images.
  * Tonemap HDR images.
  * Copy exif data between sets of images.
 .
 Supported HDR formats:
  * OpenEXR (extension: exr).
  * Radiance RGBE (extension: hdr).
  * Tiff formats: 16bit, 32bit (float) and LogLuv (extension: tiff).
  * Raw image formats (extension: various).
  * PFS native format (extension: pfs).
 .
 Supported LDR formats: JPEG, PNG, PPM, PBM, TIFF (8 bit).

Package: qtpfsgui
Architecture: all
Depends: luminance-hdr, ${misc:Depends}
Section: oldlibs
Description: luminance-hdr transitional package
 Empty package to facilitate upgrades, can be safely removed.
