## luminance-hdr 2.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,10 +8,12 @@
 INCLUDE(CMakeGlobal.txt)
 
 IF(NOT CMAKE_BUILD_TYPE)
-    SET( CMAKE_BUILD_TYPE "RelWithDebInfo" )
-ENDIF()
-
-IF(CMAKE_BUILD_TYPE STREQUAL "Release" OR CMAKE_BUILD_TYPE STREQUAL "MinSizeRel")
+    SET(CMAKE_BUILD_TYPE "RelWithDebInfo" )
+ENDIF()
+
+# MESSAGE(${CMAKE_BUILD_TYPE})
+
+IF(${CMAKE_BUILD_TYPE} STREQUAL "Release" OR ${CMAKE_BUILD_TYPE} STREQUAL "MinSizeRel")
 ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
 ENDIF()
 
@@ -37,7 +39,6 @@
 FIND_PACKAGE(Git)
 #FIND_PACKAGE(Git QUIET)
 IF(NOT GIT_FOUND)
-	message(STATUS "Git not found")
     FIND_FILE(GIT_EXECUTABLE git.exe 
         $ENV{CYGWIN_DIR}\\bin
         $ENV{CYGWIN_DIR}
@@ -45,21 +46,19 @@
     IF (EXISTS ${GIT_EXECUTABLE})
         SET(GIT_FOUND 1)
     ENDIF()
-    FIND_FILE(GIT_EXE git
-        $ENV{/usr/bin}
-    )
-    IF (EXISTS ${GIT_EXE})
-        SET(GIT_FOUND 1)
-    ENDIF()
 ENDIF()
 
 IF(GIT_FOUND)
     include(GetGitRevisionDescription)
     get_git_head_revision(GIT_REFSPEC GIT_SHA1)
+    message(STATUS "Git found")
+ELSE()
+    message(STATUS "Git not found")
 ENDIF()
 
 IF(WIN32)
-# Windows Section
+    # Windows Section
+    
     SET(OPENEXR_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/OpenEXR")
     SET(TIFF_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libtiff")
     SET(LIBRAW_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libraw")
@@ -67,55 +66,45 @@
     SET(GSL_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/gsl")
     SET(GSLCBLAS_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/gsl")
     SET(EXIV2_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/exiv2")
-		
-    IF(MSVC)
-        # Enable multi processor compilation
-        ADD_DEFINITIONS(/MP)
-
-        # Full optimization
-        # Davide: Don't add it by default, let CMake choose the right compilation settings based on CMake profile (Debug, Release, ...)
-        #ADD_DEFINITIONS(/Ox)
-		
-        # Enable OpenMP
-        # Davide: Line 150: inclusion of OpenMP, can you check if that works? If it does, you don't need this line
-        #ADD_DEFINITIONS(/openmp)
-
-        # Enable SSE2
-        # Davide: is it necessary?
-        ADD_DEFINITIONS(/arch:SSE2)
-		
-        ADD_DEFINITIONS(-DUNICODE )
-        ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -DOPENEXR_DLL -D_REENTRANT)
-        SET(FFTWF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/fftw3/libfftw3f-3.lib")
-        ADD_DEFINITIONS(-DHAVE_FFTW3F)
-		
-        SET(OPENEXR_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/Half.lib")
-        SET(OPENEXR_LIBRARIES ${OPENEXR_LIBRARIES} "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/Iex.lib")
-        SET(OPENEXR_LIBRARIES ${OPENEXR_LIBRARIES} "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/IlmImf.lib")
-		
-        SET(TIFF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libtiff/libtiff.lib")
-		
-        SET(LIBRAW_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libraw/libraw.lib")
-		
-        SET(GSL_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/gsl.lib")
-        SET(GSLCBLAS_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/cblas.lib")
-		
-        SET(EXIV2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/exiv2/exiv2.lib")
-    ELSE()
-        SET(OPENEXR_LIBRARIES "-lIlmImf.dll -lHalf.dll -lIex.dll -L${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR")
-
-        SET(TIFF_LIBRARIES "-L../DEPs/lib/libtiff -ltiff")
-
-        SET(LIBRAW_LIBRARIES "-L../DEPs/lib/libraw -lraw_r -lws2_32 -lm")
-        ADD_DEFINITIONS(-DLIBRAW_NODLL -D_REENTRANT)
-
-        SET(FFTWF_LIBRARIES "-L${CMAKE_SOURCE_DIR}/../DEPs/lib/fftw3 -lfftw3f-3 -lm")
-
-        SET(GSL_LIBRARIES "-L${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl -lgsl")
-        SET(GSLCBLAS_LIBRARIES "-L${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl -lgslcblas")
-
-        SET(EXIV2_LIBRARIES "-lexiv2 -L${CMAKE_SOURCE_DIR}/../DEPs/lib/exiv2")
-    ENDIF()
+    SET(LCMS2_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/lcms2")
+    SET(JPEGLIB_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libjpeg")
+    SET(LIBPNG_INCLUDE_DIR "${CMAKE_SOURCE_DIR}/../DEPs/include/libpng")
+	
+    # Enable multi processor compilation
+    ADD_DEFINITIONS(/MP)
+
+    # Enable SSE2
+    ADD_DEFINITIONS(/arch:SSE2)
+
+    # Don't "Treat WChar_t As Build in Type", in order to be able to use Qts (from|to)StdWString functions
+    ADD_DEFINITIONS(/Zc:wchar_t-)
+	
+    ADD_DEFINITIONS(-DUNICODE )
+    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS -DOPENEXR_DLL -D_REENTRANT)
+    SET(FFTWF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/fftw3/libfftw3f-3.lib")
+    ADD_DEFINITIONS(-DHAVE_FFTW3F)
+	
+    SET(OPENEXR_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/Half.lib")
+    SET(OPENEXR_LIBRARIES ${OPENEXR_LIBRARIES} "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/Iex.lib")
+    SET(OPENEXR_LIBRARIES ${OPENEXR_LIBRARIES} "${CMAKE_SOURCE_DIR}/../DEPs/lib/OpenEXR/IlmImf.lib")
+	
+    SET(TIFF_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libtiff/libtiff.lib")
+	
+    SET(LIBRAW_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libraw/libraw.lib")
+	
+    SET(GSL_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/gsl.lib")
+    SET(GSLCBLAS_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/gsl/cblas.lib")
+	
+    SET(EXIV2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/exiv2/exiv2.lib")
+    #SET(LCMS2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/lcms2/lcms2.lib")
+    #SET(LCMS_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/lcms2/lcms.lib")
+    SET(LCMS2_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/lcms2/lcms2_dll.lib")
+    #ADD_DEFINITIONS(-DLCMS_DLL)
+    ADD_DEFINITIONS(-DCMS_DLL)
+    ADD_DEFINITIONS(-DUSE_LCMS2)
+    
+    SET(LIBPNG_LIBRARIES "${CMAKE_SOURCE_DIR}/../DEPs/lib/libpng/libpng.lib")
+    
 ELSE()
 
     # Unix & Apple part
@@ -125,6 +114,9 @@
     FIND_PACKAGE(fftwf REQUIRED)
     FIND_PACKAGE(GSL REQUIRED)
     FIND_PACKAGE(exiv2 REQUIRED)
+    FIND_PACKAGE(libjpeg REQUIRED)
+    FIND_PACKAGE(lcms2 REQUIRED)
+    FIND_PACKAGE(libpng REQUIRED)
 
 ENDIF()
 
@@ -147,6 +139,15 @@
 
 SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${EXIV2_INCLUDE_DIR} "${EXIV2_INCLUDE_DIR}/exiv2")
 SET(LIBS ${LIBS} ${EXIV2_LIBRARIES})
+
+SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${JPEGLIB_INCLUDE_DIR})
+SET(LIBS ${LIBS} ${JPEGLIB_LIBRARIES})
+
+SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${LCMS2_INCLUDE_DIR})
+SET(LIBS ${LIBS} ${LCMS2_LIBRARIES})
+
+SET(INCLUDE_DIRS ${INCLUDE_DIRS} ${LIBPNG_INCLUDE_DIR})
+SET(LIBS ${LIBS} ${LIBPNG_LIBRARIES})
 
 #OpenMP Support under Linux, Windows with MSVC & MacOS X with GCC >= 4.3
 IF(MSVC)
@@ -213,12 +214,17 @@
 
 # Apple Mac OS X
 IF(APPLE)
+    FILE(GLOB LUMINANCE_QT_QM i18n-qt/*.qm) # ${QT_TRANSLATIONS_DIR}/qt_*.qm)
+    SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${LUMINANCE_QT_QM})
+
     # icon files to copy in the bundle
     SET( OSX_ICON_FILES "${CMAKE_SOURCE_DIR}/images/luminance.icns")
     # set where in the bundle to put the icns files
     SET_SOURCE_FILES_PROPERTIES(${OSX_ICON_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
     # set where in the bundle to put the translation files
     SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QM} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)
+    SET_SOURCE_FILES_PROPERTIES(${LUMINANCE_QT_QM} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/i18n)
+
     # include the icns files in the target
     SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${OSX_ICON_FILES})
 
@@ -235,6 +241,8 @@
     SET_TARGET_PROPERTIES(luminance-hdr PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_SOURCE_DIR}/build/macosx/Info.plist")
 # Unix
 ELSEIF(UNIX)
+    FILE(GLOB LUMINANCE_QT_QM i18n-qt/*.qm)
+    SET(LUMINANCE_FILES ${LUMINANCE_FILES} ${LUMINANCE_QT_QM})
 
     ADD_EXECUTABLE(luminance-hdr ${LUMINANCE_FILES})
     ADD_EXECUTABLE(luminance-hdr-cli ${LUMINANCE_FILES})
@@ -243,6 +251,8 @@
     INSTALL(TARGETS luminance-hdr RUNTIME DESTINATION bin) # main GUI exec
     INSTALL(TARGETS luminance-hdr-cli RUNTIME DESTINATION bin) # main CLI exec
     INSTALL(FILES ${LUMINANCE_QM} DESTINATION share/luminance-hdr/i18n) # i18n
+    INSTALL(FILES ${LUMINANCE_QT_QM} DESTINATION share/luminance-hdr/i18n) # i18n
+
     INSTALL(FILES ${CMAKE_SOURCE_DIR}/images/luminance-hdr.png DESTINATION share/icons/hicolor/48x48/apps) # icon
     INSTALL(FILES ${CMAKE_SOURCE_DIR}/luminance-hdr.desktop DESTINATION share/applications) #desktop entry
     INSTALL(FILES
