=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 ADD_SUBDIRECTORY(PreviewPanel)
 ADD_SUBDIRECTORY(Common)
+ADD_SUBDIRECTORY(OsIntegration)
 ADD_SUBDIRECTORY(BatchHDR)
 ADD_SUBDIRECTORY(BatchTM)
 ADD_SUBDIRECTORY(Core)
