=== src/BatchHDR/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/BatchHDRDialog.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(batchhdr ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} batchhdr PARENT_SCOPE)
