=== src/BatchTM/CMakeLists.txt ===
SET(FILES_UI
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMDialog.ui)
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMDialog.h
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMJob.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMDialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/BatchTMJob.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(batchtm ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_UI_H})

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_UI} PARENT_SCOPE)
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} batchtm PARENT_SCOPE)
