=== src/Core/CMakeLists.txt ===
#SET(FILES_UI )
SET(FILES_H
${CMAKE_CURRENT_SOURCE_DIR}/IOWorker.h
${CMAKE_CURRENT_SOURCE_DIR}/TMWorker.h)
SET(FILES_HXX
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingOptions.h)
SET(FILES_CPP
${CMAKE_CURRENT_SOURCE_DIR}/IOWorker.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TMWorker.cpp
${CMAKE_CURRENT_SOURCE_DIR}/TonemappingOptions.cpp)

INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

QT4_WRAP_CPP(FILES_MOC ${FILES_H})
# QT4_WRAP_UI(FILES_UI_H ${FILES_UI})

ADD_LIBRARY(core ${FILES_H} ${FILES_CPP} ${FILES_MOC} ${FILES_HXX}) # ${FILES_UI_H}

SET(FILES_TO_TRANSLATE ${FILES_TO_TRANSLATE} ${FILES_CPP} ${FILES_H} ${FILES_HXX} PARENT_SCOPE) # ${FILES_UI}
SET(LUMINANCE_MODULES_GUI ${LUMINANCE_MODULES_GUI} core PARENT_SCOPE)
SET(LUMINANCE_MODULES_CLI ${LUMINANCE_MODULES_CLI} core PARENT_SCOPE)
