=== src/Fileformat/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,20 @@
 #SET(FILES_UI )
 SET(FILES_H
-${CMAKE_CURRENT_SOURCE_DIR}/pfstiff.h)
+${CMAKE_CURRENT_SOURCE_DIR}/pfstiff.h
+${CMAKE_CURRENT_SOURCE_DIR}/jpegreader.h
+${CMAKE_CURRENT_SOURCE_DIR}/jpegwriter.h
+${CMAKE_CURRENT_SOURCE_DIR}/pngwriter.h
+)
+
 SET(FILES_HXX
 ${CMAKE_CURRENT_SOURCE_DIR}/pfs_file_format.h
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsinraw.h
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsout16bitspixmap.h
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.h
+${CMAKE_CURRENT_SOURCE_DIR}/pfsouthdrimage.h
 ${CMAKE_CURRENT_SOURCE_DIR}/rgbeio.h
 )
+
 SET(FILES_CPP
 ${CMAKE_CURRENT_SOURCE_DIR}/rgbeio.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pfstiff.cpp
@@ -15,9 +22,14 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsinrgbe.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsout16bitspixmap.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsoutldrimage.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/pfsouthdrimage.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsinraw.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pfsinexr.cpp
-${CMAKE_CURRENT_SOURCE_DIR}/pfsoutexr.cpp)
+${CMAKE_CURRENT_SOURCE_DIR}/pfsoutexr.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/jpegreader.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/jpegwriter.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/pngwriter.cpp
+)
 
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
