=== src/HelpBrowser/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/help-path.hxx.in ${CMAKE_CURRENT_BINARY_DIR}/help-path.hxx @ONLY)
+
 SET(FILES_UI
 ${CMAKE_CURRENT_SOURCE_DIR}/HelpBrowser.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/HelpSideBar.ui)
