=== debian/changelog ===
luminance-hdr (2.3.0-3build1) saucy; urgency=low

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 12 Jul 2013 12:47:52 -0400

luminance-hdr (2.3.0-3) unstable; urgency=low

  [ Leonardo Montecchi ]
  * Added dependency on hugin-tools, needed for align_image_stack.
    (LP: #420157)
  * Added manpage for luminance-hdr-cli (created from the output of
    'luminance-hdr-cli -h')

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Jan 2013 11:07:05 +0100

luminance-hdr (2.3.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Nov 2012 09:09:25 +0100

luminance-hdr (2.3.0-1) experimental; urgency=low

  [ Leonardo Montecchi ]
  * New upstream release
  * Dropped patch 30_fix_build_non_x86 which is now in upstream code
  * Modified patch 20_usrsharedoc.diff which did not apply
  * Add build-dependency on libpng-dev.
  * Build-depend on libtiff-dev instead of libtiff4-dev.

  [ Andreas Metzler ]
  * Add build-dependencies on liblcms2-dev and libjpeg-dev. (These are
    already pulled in by libraw-dev and libtiff(4)-dev respectively but are
    directly required by luminance-hdr, too.)
  * Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Jul 2012 10:59:32 +0200
