=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Andreas Metzler <ametzler@debian.org>,
  Leonardo Montecchi <lmontecchi@montex.org>
 Build-Depends: debhelper (>= 9), libqt4-dev, libexiv2-dev, libfftw3-dev,
- libopenexr-dev, libtiff4-dev, cmake (>= 2.6.0), libqtwebkit-dev, libraw-dev,
- libgsl0-dev
-Standards-Version: 3.9.3
+ libopenexr-dev, libtiff-dev, cmake (>= 2.6.0), libqtwebkit-dev, libraw-dev,
+ libgsl0-dev, libpng-dev, liblcms2-dev, libjpeg-dev
+Standards-Version: 3.9.4
 Homepage: http://qtpfsgui.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=pkg-phototools/luminance-hdr.git
 Vcs-Git: git://git.debian.org/git/pkg-phototools/luminance-hdr.git
 
 Package: luminance-hdr
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dcraw, libqt4-sql-sqlite
+Depends: ${shlibs:Depends}, ${misc:Depends}, dcraw, libqt4-sql-sqlite, hugin-tools
 Description: graphical user interface providing a workflow for HDR imaging
  Features:
   * Create an HDR file from a set of images (formats: JPEG, TIFF 8bit and
