=== debian/rules ===
#!/usr/bin/make -f

# Various variables used later on:
NOT_NEEDED  = AUTHORS INSTALL LICENSE README Changelog
DEB_DESTDIR = $(CURDIR)/debian/luminance-hdr
MANPAGE     = debian/luminance-hdr.1

export DEB_BUILD_MAINT_OPTIONS=hardening=+relro,+bindnow
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

override_dh_auto_build:
	# Normal auto_build:
	dh_auto_build --verbose
	# Build the minimal manpage:
	pod2man --center='Minimal luminance-hdr manpage' \
		--release='' \
		debian/luminance-hdr.pod > $(MANPAGE)

override_dh_auto_install:
	dh_auto_install --verbose --destdir=$(DEB_DESTDIR)
	# Remove unneeded files
	for i in $(NOT_NEEDED); do \
		rm -v $(DEB_DESTDIR)/usr/share/doc/luminance-hdr/$$i ; \
	done
	cd "$(DEB_DESTDIR)" && rm -rv usr/share/doc/luminance-hdr/help/js/

%:
	dh $@
